#
# spec file for package perl-Devel-Symdump
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-Symdump
Version:        2.11
Release:        4.2
%define cpan_name Devel-Symdump
Summary:        Dump symbol names or the symbol table
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-Symdump/
Source:         http://www.cpan.org/authors/id/A/AN/ANDK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Zlib)
#BuildRequires: perl(Devel::Symdump)
#BuildRequires: perl(Devel::Symdump::Export)
Requires:       perl(Compress::Zlib)
%{perl_requires}

%description
This little package serves to access the symbol table of perl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Nov 26 2013 coolo@suse.com
- updated to 2.11
  * v5.19.5-71-gd456e3f stopped producing the %%@ hash at startup
* Tue Jun  4 2013 coolo@suse.com
- updated to 2.10
  * address RT#84139: fix test to work with upcoming perl 5.18
    (Thanks to ZEFRAM)
  * fixed the autogen.t test again, this time for perl 5.8.9
  * apply doc patch by Nick Stokoe from ticket #77102
  * declare dependency on Compress::Zlib
  * added a test by Jason M. Mills to chase down the bug he reports
    in https://rt.cpan.org/Ticket/Display.html?id=43675
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Sep  7 2009 mls@suse.de
- remove BuildRequires of Test::Pod::Coverage to break build cycle
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Sun Jun 14 2009 chris@computersalat.de
- update to 2.08
  * skip the recurse test on 5.005
- upate to 2.07
  * rewrite symdump.t using Test::More
  * adjust test suite to accept main::- also introduced for named
    captures
- spec mods
  o updated header
  o fixed deps
  o autogen filelist
* Fri Oct 13 2006 anicka@suse.cz
- update to 2.0604
  * adjust test suite to accept main::+ introduced by named
    captures
* Thu Sep 21 2006 anicka@suse.cz
- update to 2.0603
  * add LICENSE field to Makefile.PL to also have it in
    the META.yml
* Mon Jul 24 2006 anicka@suse.cz
- update to 2.0602
  * adjust test suite to accept new variable in bleadperl
* Thu Jul 13 2006 anicka@suse.cz
- update to 2.0601
  * testcases fixed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 2.05
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Wed Jul 10 2002 prehak@suse.cz
- updated to version 2.03
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Jan 21 2002 rvasice@suse.cz
- spec file cleanup
- bzip sources
* Tue Nov 21 2000 rolf@suse.de
- extract from perlmod package
- update to version 2.01
